
@import url('https://fonts.googleapis.com/css2?family=Battambang:wght&family=Montserrat:ital,wght@0,100..900;1,100..900@100;300;400;700;900&family=Hanuman:wght@100;300;400;700;900&family=Kantumruy+Pro:ital,wght@0,100..700;1,100..700&family=Moul&family=Noto+Sans+Khmer:wght@100..900&family=Noto+Serif+Khmer:wght@100..900&family=Noto+Serif:ital,wght@0,100..900;1,100..900&family=Outfit:wght@100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Siemreap&display=swap');

:root {
    --bg-color: #F5F7FA;
    --light: #FEFEFE;
    --alice-blue: #d5e6ef;
    --accent: rgb(10, 52, 108);
    --dark: rgb(15, 15, 15);
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

.battambang {
    font-family: "Battambang", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
  }

  .battambang-light {
    font-family: "Battambang", sans-serif;
    font-optical-sizing: auto;
    font-weight: 300;
    font-style: normal;
  }

  .battambang-bold {
    font-family: "Battambang", sans-serif;
    font-optical-sizing: auto;
    font-weight: 700;
    font-style: normal;
  }

  .hanuman {
    font-family: "Hanuman", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
  }

  .hanuman-light {
    font-family: "Hanuman", sans-serif;
    font-optical-sizing: auto;
    font-weight: 300;
    font-style: normal;
  }

  .hanuman-bold {
    font-family: "Hanuman", sans-serif;
    font-optical-sizing: auto;
    font-weight: 700;
    font-style: normal;
  }

  .kantumruy-pro {
    font-family: "Kantumruy Pro", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
  }

.hanuman {
    font-family: "Hanuman", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
  }

  .hanuman-light {
    font-family: "Hanuman", sans-serif;
    font-optical-sizing: auto;
    font-weight: 300;
    font-style: normal;
  }

  .hanuman-bold {
    font-family: "Hanuman", sans-serif;
    font-optical-sizing: auto;
    font-weight: 700;
    font-style: normal;
  }

  .kantumruy-pro {
    font-family: "Kantumruy Pro", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
  }

.kantumruy-pro {
    font-family: "Kantumruy Pro", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
  }

.kantumruy-pro-bold {
    font-family: "Kantumruy Pro", sans-serif;
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
}

.noto-serif {
    font-family: "Noto Serif", serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-variation-settings:
      "wdth" 100;
  }

  .noto-serif-bold {
    font-family: "Noto Serif", serif;
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
    font-variation-settings:
      "wdth" 100;
  }

  .outfit {
    font-family: "Outfit", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
  }

  .outfit-bold {
    font-family: "Outfit", sans-serif;
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
  }

  .poppins-thin {
    font-family: "Poppins", serif;
    font-weight: 100;
    font-style: normal;
  }
  
  .poppins-extralight {
    font-family: "Poppins", serif;
    font-weight: 200;
    font-style: normal;
  }
  
  .poppins-light {
    font-family: "Poppins", serif;
    font-weight: 300;
    font-style: normal;
  }
  
  .poppins-regular {
    font-family: "Poppins", serif;
    font-weight: 400;
    font-style: normal;
  }
  
  .poppins-medium {
    font-family: "Poppins", serif;
    font-weight: 500;
    font-style: normal;
  }
  
  .poppins-semibold {
    font-family: "Poppins", serif;
    font-weight: 600;
    font-style: normal;
  }
  
  .poppins-bold {
    font-family: "Poppins", serif;
    font-weight: 700;
    font-style: normal;
  }
  
  .poppins-extrabold {
    font-family: "Poppins", serif;
    font-weight: 800;
    font-style: normal;
  }
  
  .poppins-black {
    font-family: "Poppins", serif;
    font-weight: 900;
    font-style: normal;
  }
  
  .poppins-thin-italic {
    font-family: "Poppins", serif;
    font-weight: 100;
    font-style: italic;
  }
  
  .poppins-extralight-italic {
    font-family: "Poppins", serif;
    font-weight: 200;
    font-style: italic;
  }
  
  .poppins-light-italic {
    font-family: "Poppins", serif;
    font-weight: 300;
    font-style: italic;
  }
  
  .poppins-regular-italic {
    font-family: "Poppins", serif;
    font-weight: 400;
    font-style: italic;
  }
  
  .poppins-medium-italic {
    font-family: "Poppins", serif;
    font-weight: 500;
    font-style: italic;
  }
  
  .poppins-semibold-italic {
    font-family: "Poppins", serif;
    font-weight: 600;
    font-style: italic;
  }
  
  .poppins-bold-italic {
    font-family: "Poppins", serif;
    font-weight: 700;
    font-style: italic;
  }
  
  .poppins-extrabold-italic {
    font-family: "Poppins", serif;
    font-weight: 800;
    font-style: italic;
  }
  
  .poppins-black-italic {
    font-family: "Poppins", serif;
    font-weight: 900;
    font-style: italic;
  }

  .siemreap-regular {
    font-family: "Siemreap", serif;
    font-weight: 400;
    font-style: normal;
  }
  
  
.btnLogin {
    background-color: var(--accent);
    color: white;
    border: none;
    padding: 10px 20px;
    border-radius: 8px;
    cursor: pointer;
    width: 100%;
}

.btnLogin:hover {
    background-color: #000000;
}

body {

}

table {
  font-family: 'Kantumruy Pro', sans-serif;
}

.container .hero-section {
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 600px
}

.container .hero-section h1 {
  line-height: 66px;
}

.container .hero-section p {
  width: 500px;
}

.container .hero-section .hero-image-box {

}

.container .hero-section .hero-image-box .hero-image {
  width: 560px;
}

header {
    background-color: var(--light);
    height: 80px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-left: 40px;
    padding-right: 40px;
}

header .left-menu {
  display: flex;
  align-items: center;
  gap: 40px;
}

header .logo a {
    text-decoration: none;
    font-family: "Poppins", serif;
    font-weight: 700;
    font-style: normal;
    font-size: 1.2rem;
    color: var(--accent);
    cursor: pointer;
}

header .menu {
    height: 80px;
    display: flex;
    align-items: center;
    gap: 20px;
    transition: all 0.2s ease;
}

header .menu a {
    text-decoration: none;
    color: var(--dark);
    font-size: 1.2rem;
    /* height: 80px; */
    display: flex;
    align-items: center;
    transition: all 0.2s ease;

}

header .menu a:hover {
    color: #007bff; 
}

header .menu .active {
  color: #007bff; 
}

#search {
    cursor: pointer;
    padding: 10px;
    border-radius: 8px;
}
#search:hover {
    border: 1px solid darkgreen;
}

.search-box {
    padding-left: 6rem;
    padding-right: 6rem;
}

.search-box input {
    border: none;
    border-radius: none;
    padding: 10px;
    width: 50%;
    font-size: 1.5rem;
}

.search-box p {
    margin-top: 20px;
}

.search-box ul li {
    list-style: none;
}

.search-container {
    display: flex;
    align-items: center;
    border-radius: 5px;
    padding: 5px 10px;
  }

  .search-icon {
    width: 20px;
    height: 20px;
    margin-right: 8px;
    fill: var(--accent); /* Icon color */
  }

.search-box input[type="search"]:focus {
    outline: none;
  }



.submenu-item {
    background-color: white;
    height: 200px;
    display: none;
}

    /* Position submenu items */
    .submenu-container {
        position: relative;

    }

    /* Hide submenu by default */
    .submenu {
        display: none;
        position: absolute;
        left: 0;
        background-color: white;
        padding: 20px;
        z-index: 10;
    }

    /* Display submenu on hover */
    .submenu-container:hover .submenu {
        display: block;
    }

    /* Style submenu links */
    .submenu a {
        display: block;
        padding: 5px 0;
        color: #333;
        text-decoration: none;

    }
    
    /* Change color on hover */
    .submenu a:hover {
        color: #007bff; /* Example color for hover */
    }

/* quick link */


.quick-links {
    width: 100%;
    margin-top: 20px;
    margin-bottom: 40px;
    display: flex;
    align-items: center;
    justify-content: start;
}

.quick-links a {
    text-decoration: none;
    color: var(--dark);
    margin-left: 20px;
    display: flex;
    justify-content: start;
    align-items: center;
    border: 1px solid var(--dark);
    padding: 10px;
    border-radius: 30px;
}

.quick-links a:hover {
    background-color: var(--dark);
    color: var(--light);
}

/* end quick link */


/* recent posts section */

.recent-posts {
    margin: 20px;
    display: flex;
    gap: 30px;
    justify-content: start;
    width: 100%;
    flex-wrap: wrap;
}

.recent-posts .post {
    background-color: var(--light);
    /* padding: 20px; */
    width: 400px;
    border-radius: 20px;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    text-decoration: none;
    color: var(--dark);
    transition: transform 0.3s ease;
    position: relative;
    cursor: pointer;
}

.recent-posts .post:hover {
 
    transform: scale(1.05); 
  }

.recent-posts .post h5 {
    padding: 6px;
    margin-top: 6px;

}

.recent-posts .post p {
    padding: 6px;
    margin-top: 6px;

}

.recent-posts .post .course-type {
  padding: 0 30px;
  margin: 0;

}

.recent-posts .post .tag {
  margin: 8px 30px;

}

.recent-posts .post .course-name {
  padding: 8px 30px;
  margin-top: 2px;
  font-size: 1.4rem;

}
.recent-posts .post .course-info {
  padding: 0px 30px;
  margin-top: 2px;
  font-size: 1rem;

}
.recent-posts .post .price {
    font-size: 1.8rem;
    padding: 8px 8px;
    margin-bottom: 10px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    border-top: 1px solid rgb(196, 196, 196);
    width: 90%;
    margin-left: auto;
    margin-right: auto;
}

.recent-posts .post .price .level {
    display: flex;
    align-items: center;
    gap: 10px;
}

.recent-posts .post .price .level .level-text {
  font-size: 1.2rem;
}


.recent-posts .post .thumnail {
    background-size: cover;
    background-position: center;
    height: 220px;
    border-radius: 20px 20px 0 0;

}

.recent-posts .post ul {
    padding: 0;
    margin: 0 10px;
}

.recent-posts .post ul li {
    list-style: none;
    display: inline-block;
    margin: 0 4px;
    text-decoration: underline;
    color: var(--accent);
}

.section-title {
    margin-left: 20px;
    margin-top: 20px;
}

.section-top {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.recent-posts .post .section-footer {
  width: 90%;
  border-top: 1px solid rgb(214, 214, 214);
  margin-left: auto;
  margin-right: auto;
  padding: 12px 8px;

}

/* end posts */


/*footer*/

.myfooter {
    margin-top: 20px;
    background-color: var(--light);
}

.footer-icons {
  display: flex;
  gap: 20px;
}
.footer-icons a {
  color: black;
  text-decoration: none;
}

.footer-icons a:hover {
  color: #007bff;
}


/*post show */
.content {
    text-align: justify;
    margin-bottom: 20px;
}



.content img {
    width: 100%;
    margin-right: auto;
    margin-left: auto;
    display: block;
}

.content iframe {
    width: 100%;
    height: 500px;
    margin-right: auto;
    margin-left: auto;
    display: block;
}

.post-show {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 100%;
    padding-left: 20%;
    padding-right: 20%;
    padding-top: 40px;
}

.post-feature {
    background-size: cover;
    background-position: center;
    height: 400px;
    width: 86%;
    margin-left: auto;
    margin-right: auto;
    margin-top: 20px;
    border-radius: 10px;
}

.post-show h1 {
    margin-bottom: 28px;
}

.post-show .date {
    margin-bottom: 28px;
}

.post-show .related-topic {

}

.post-show .related-topic p {
    font-size: 1.2rem;
}

.post-show .related-topic a {
    text-decoration: none;

    margin-right: 20px;
}


/* course view */

.course {
  display: flex;
  width: 100%;
  gap: 40px;
  padding: 0 8%;
  margin-top: 40px;
 
}

.course .course-table-content {
  background-color: var(--light);
  padding: 20px;
  border-radius: 10px;
  box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}

.course .course-table-content ol li a {
  text-decoration: none;
  color: var(--dark);
}

.course .course-video {
  width: 100%;
  background-color: var(--light);
  padding: 20px;
  border-radius: 10px;
  box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}

.course .course-video .video-navigation {
  display: flex;
  justify-content: space-between;
}


/* all course section */

.top-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 20px;
}

.course-box {
  height: 200px;
  background-color: white;
  border-radius: 10px;
  display: flex;
  justify-content: space-between;
  box-shadow: rgba(17, 17, 26, 0.1) 0px 0px 16px;
  margin: 20px;
}

.course-content {
  display: flex;
}

.course-thumnail {
  background-color: antiquewhite;
  width: 300px;
  border-radius: 10px 0 0 10px;
  background-size: cover;
  background-position: center;
}

.course-desc {
  padding: 20px;
}

.course-desc h1 {
  font-size: 1.8rem;
}

.course-desc p {
  font-size: 1rem;
}

.course-price {
  padding: 20px;
}

.course-price p {
  font-size: 1.4rem;
}

/* about me page */

.aboutme {
  width: 75%;
}

.aboutme .aboutme-header {
  display: flex;
  gap: 50px;
  align-items: center;
}

.myprofileinfo {
  padding: 10px;
}

.contact-icon {
  display: flex;
  gap: 20px;
  
}

.contact-icon a {
  color: var(--accent);
  text-decoration: none;
  border: 2px solid var(--accent);
  padding: 10px;
  border-radius: 50%;
}

.contact-icon a:hover {
  background-color: var(--accent);
  color: var(--light);
}

.profile-text {
  font-family: 'Kantumruy pro', sans-serif;
  
}

.profile-text h1 {
  font-weight: 600;
  
}

.profile-text h2 {
  font-weight: 600;
}

.profile-text span {
  color: var(--accent);
}


.myprofileimage {
  background-size: cover;
  background-position: center;
  height: 300px;
  width: 300px;
  border-radius: 50%;
  margin: 30px;
}


/* payment section */
.course-preview {
  padding: 40px 80px;
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  gap: 40px;
}

.course-preview .course-preview-left {
  width: 60%;
}
.course-preview .course-preview-left .teacher {
  display: flex;
  gap: 10px;
  align-items: center;
}
.course-preview .course-preview-left .teacher .teacher-profile {
  background-position: center;
  background-size: cover;
  width: 80px;
  height: 80px;
  border-radius: 50%;
}

.course-preview .course-info {
  background-color: white;
  padding: 20px;
  box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
  border-radius: 8px;
}

.course-preview .course-info .video-preview iframe {
  border-radius: 8px;
}

.course-preview .course-info .price {
  font-size: 1.8rem;
  font-family: 'Montserrat', serif;
  font-weight: 700;
}

.course-preview .course-info .course-feature {
  font-family: 'Kantumruy Pro', sans-serif;
  margin-top: 20px;
  font-size: 1.2rem;
}

.course-preview .course-preview-left .about-course .menu {
  font-family: 'Kantumruy Pro', sans-serif;
  font-weight: 600;
  font-size: 1.4rem;
  margin-top: 40px;
  height: 50px;
}
.course-preview .course-preview-left .about-course .menu span {
  margin-right: 20px;
  cursor: pointer;
  padding-bottom: 18px;
}

.course-preview .course-preview-left .about-course .menu .active {
  border-bottom: 2px solid blue;
}

/* table of content */
.category {
  cursor: pointer;
  background-color: #f4f4f4;
  padding: 10px;
  border: 1px solid #ccc;
}
.category:hover {
  background-color: #e9e9e9;
}
.items {
  display: none;
}

/* payment modal */
.receiver-info {
  border-bottom: 1px dashed rgb(191, 191, 191);
}

.receiver-name {
  font-size: 0.8rem;
  padding: 0 50px;
  margin: 0;
}

.amount-paid {
  font-size: 1.8rem;
  padding: 0 50px;
  font-family: 'Montserrat', sans-serif;
  font-weight: 700;
  margin: 0;
}


